// Base Player
function Player (Name, HP, MP)
{
  this.Name = Name;       // Name
  this.HP = HP;           // Health points
  this.maxHP = HP;        // Maximum health points
  this.MP = MP;           // Magic points
  this.maxMP = MP;        // Maximum magic points
  
  this.Str = 0;           // Strength
  this.Def = 0;
  this.Agi = 0;           // Agility
  this.Mag = 0;           // Magic
  this.Blc = 0;           // Block rate of character (Added by NS)
  this.Hit = 0;           // Hit Rate Percentage (Added by NS)
  this.WAP = 0;           // Weapon attack power (Added by NS)
  
  this.Lev = 0;           // Level
  
  this.Used = false;      // Is the character used in the game at the time
  this.Selected = false;  // Has the player selected an enemy in the Battle System?
}

// Create the players
var P_Array = new Array;
P_Array[0] = new Player ("Adam", 500, 20);  // Name, HP, MP
P_Array[0].Str = 35;
P_Array[0].Def = 20;
P_Array[0].Agi = 20;
P_Array[0].Mag = 10;
P_Array[0].Lev = 1;
P_Array[0].Blc = 10;
P_Array[0].Hit = 255;
P_Array[0].WAP = 30;
P_Array[0].Used = true;

P_Array[1] = new Player ("Bob", 200, 0);  // Name, HP, MP
P_Array[1].Str = 30;
P_Array[1].Def = 25;
P_Array[1].Agi = 25;
P_Array[1].Mag = 0;
P_Array[1].Lev = 1;
P_Array[1].Blc = 10;
P_Array[1].Hit = 255;
P_Array[1].WAP = 40;
P_Array[1].Used = true;

